#2783 closed defect (fixed)

RaspberryPi BSP cannot be used with actual firmware

Reported by: Pavel Pisa Owned by: Pavel Pisa <pisa@…>
Priority: high Milestone: 4.11
Component: bsps Version: 4.11
Severity: major Keywords:
Cc: Blocked By:
Blocking:

Description

Raspberry Pi BSP on 4.11 branch is unusable when boot loader start RTEMS with cache enabled. Random/nondeterministic locks happen etc. Even without boot loader, actual firmware is changed to boot Linux kernel/RTEMS in hypervisor mode. If support is not included, then BSP start halts without any diagnostics.

Change History (1)

comment:1 Changed on Oct 2, 2016 at 8:47:15 AM by Pavel Pisa <pisa@…>

Owner: set to Pavel Pisa <pisa@…>
Resolution: fixed
Status: newclosed

In fab0dd11cb1e1ad4054b1d6fb1e30ee26afd871c/rtems:

arm/raspberrypi: minimized mainline patch move MMU in front of application image and correct RPi2 boot on 4.11 branch.

This is minimized version of mainline patch

arm/raspberrypi: move MMU in front of application image to respect variable memory size.

plus correction which has been part of other mainline patches.

This is end of series which allows 4.11 to boot on Raspberry Pi.

Closes #2782

Closes #2783

Note: See TracTickets for help on using tickets.